Autor Tópico: Ajuda com JDK 1.5 [RESOLVIDO]  (Lida 8501 vezes)

Offline viniciusfs

  • Usuário Ubuntu
  • *
  • Mensagens: 46
    • Ver perfil
    • chaos is me
Ajuda com JDK 1.5 [RESOLVIDO]
« Online: 04 de Fevereiro de 2006, 00:14 »
Falae galera. Estou com um pequeno problema mas creio que seja algo fácil para os mais experientes.

Eu instalei o JDK 1.5 seguindo as instruções desse tópico http://ubuntuforum-pt.org/index.php?topic=2509. Tudo rolou sem problemas mas ao executar o Eclipse notei que ele estava usando Java 1.4, fui no console checar a versão em uso com java -version e ele retorna:

Código: [Selecionar]
vinicius@azedume:/$ java -version
java version "1.4.2"
gij (GNU libgcj) version 4.0.2 20050808 (prerelease) (Ubuntu 4.0.1-4ubuntu9)

Dei uma procurada no sistema e notei que tenho duas "instalações" de Java:

/usr/lib/jvm/java-1.4.2-gcj-4.0-1.4.2.0 (provavelmente já veio com o sistema)
e
/usr/local/jdk1.5.0_06 (instalada por mim seguindo orientações do tópico citado)

Como resolver o problema e fazer o sistema usar a versão mais nova e recém instalada?
Agradeço a ajuda desde já! ;)

Problema resolvido no link abaixo:
http://ubuntuforum-pt.org/index.php?topic=3475.msg18895#msg18895
« Última modificação: 01 de Julho de 2006, 13:29 por n3t0 »
vinícius.

Offline LaSSarD

  • Usuário Ubuntu
  • *
  • Mensagens: 1.144
    • Ver perfil
Ajuda com JDK 1.5 [RESOLVIDO]
« Resposta #1 Online: 04 de Fevereiro de 2006, 00:21 »
Você precisa fazer seu Linux entender que a versão que você quer usar é a 1.5. Eu disse como nessa mensagem:
http://ubuntuforum-pt.org/index.php?topic=1073
« Última modificação: 01 de Julho de 2006, 13:16 por n3t0 »
desculpem as mensagens não respondidas, mas eu tô afastado há mais de ano...
um dia eu volto ;)

Offline viniciusfs

  • Usuário Ubuntu
  • *
  • Mensagens: 46
    • Ver perfil
    • chaos is me
Ajuda com JDK 1.5 [RESOLVIDO]
« Resposta #2 Online: 04 de Fevereiro de 2006, 00:48 »
Citação de: LaSSarD
Você precisa fazer seu Linux entender que a versão que você quer usar é a 1.5. Eu disse como nessa mensagem:
http://ubuntuforum-pt.org/index.php?topic=1073

O Java 1.5 que acabei de instalar não parece na lista!

Estranho, eu digito:

echo $JAVA_HOME

E me retorna o caminho certo da nova instalação.
« Última modificação: 01 de Julho de 2006, 13:17 por n3t0 »
vinícius.

Offline LaSSarD

  • Usuário Ubuntu
  • *
  • Mensagens: 1.144
    • Ver perfil
Ajuda com JDK 1.5 [RESOLVIDO]
« Resposta #3 Online: 04 de Fevereiro de 2006, 01:25 »
O parâmetro JAVA_HOME está correto porque ele foi definido no tutorial que você seguiu.
desculpem as mensagens não respondidas, mas eu tô afastado há mais de ano...
um dia eu volto ;)

Offline viniciusfs

  • Usuário Ubuntu
  • *
  • Mensagens: 46
    • Ver perfil
    • chaos is me
Ajuda com JDK 1.5 [RESOLVIDO]
« Resposta #4 Online: 04 de Fevereiro de 2006, 01:48 »
Resolvido

Primeiro desfiz o que tinha feito até então. Eu removi o diretório do JDK que tinha instalado anteriormente assim como as entradas no arquivo .bashrc. Depois disso eu gerei um pacote .deb com o JDK e instalei ele. Com ele instalado executei sudo update-alternatives --config java para selecionar a 1.5 como máquina Java default do sistema.

O passo a passo completo eu encontrei no site: http://www.linuxdailylog.com/2005/10/instalando-o-java-1505-no-ubuntu-510.html

:)
vinícius.